# `date`

Converts an argument to a date to allow date comparison:

    {% if date(user.created_at) < date('-2days') %}
        {# do something #}
    {% endif %}

The argument must be in one of PHP’s supported date and time formats.

You can pass a timezone as the second argument:

    {% if date(user.created_at) < date('-2days', 'Europe/Paris') %}
        {# do something #}
    {% endif %}

If no argument is passed, the function returns the current date:

    {% if date(user.created_at) < date() %}
        {# always! #}
    {% endif %}

Note

You can set the default timezone globally by calling `setTimezone()` on the `core` extension instance:

    $twig = new \Twig\Environment($loader);
    $twig->getExtension(\Twig\Extension\CoreExtension::class)->setTimezone('Europe/Paris');

## Arguments

- `date`: The date

- `timezone`: The timezone